org.apache.ignite.events

## Class BaselineConfigurationChangedEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.BaselineConfigurationChangedEvent

- All Implemented Interfaces:
    Serializable, Comparable<Event>, Event

      public class BaselineConfigurationChangedEvent
      extends EventAdapter

  Baseline configuration changed event.

  Grid events are used for notification about what happens within the grid. Note that by design Ignite keeps all events generated on the local node locally and it provides APIs for performing a distributed queries across multiple nodes:

  - `IgniteEvents.remoteQuery(IgnitePredicate, long, int...)` - asynchronously querying events occurred on the nodes specified, including remote nodes.
  - `IgniteEvents.localQuery(IgnitePredicate, int...)` - querying only local events stored on this local node.
  - `IgniteEvents.localListen(IgnitePredicate, int...)` - listening to local grid events (events from remote nodes not included).
  User can also wait for events using method `IgniteEvents.waitForLocal(IgnitePredicate, int...)`.

  # Events and Performance

  Note that by default all events in Ignite are enabled and therefore generated and stored by whatever event storage SPI is configured. Ignite can and often does generate thousands events per seconds under the load and therefore it creates a significant additional load on the system. If these events are not needed by the application this load is unnecessary and leads to significant performance degradation.

  It is highly recommended to enable only those events that your application logic requires by using `IgniteConfiguration.getIncludeEventTypes()` method in Ignite configuration. Note that certain events are required for Ignite's internal operations and such events will still be generated but not stored by event storage SPI if they are disabled in Ignite configuration.

  See Also:
    `EventType.EVT_BASELINE_AUTO_ADJUST_ENABLED_CHANGED`, `EventType.EVT_BASELINE_AUTO_ADJUST_AWAITING_TIME_CHANGED`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaselineConfigurationChangedEvent(ClusterNode node, String msg, int type, boolean autoAdjustEnabled, long autoAdjustTimeout)` Creates baseline configuration changed event with given parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `autoAdjustTimeout()` Auto-adjust timeout value in milliseconds.
    `boolean` | `isAutoAdjustEnabled()` Auto-adjust "enabled" flag value.

    - ### Methods inherited from class org.apache.ignite.events.EventAdapter

      `compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, shortDisplay, timestamp, toString, type, type`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BaselineConfigurationChangedEvent

          public BaselineConfigurationChangedEvent(ClusterNode node,
                                                   String msg,
                                                   int type,
                                                   boolean autoAdjustEnabled,
                                                   long autoAdjustTimeout)

      Creates baseline configuration changed event with given parameters.
      Parameters:
        `node` - Node.
        `msg` - Optional event message.
        `type` - Event type.
        `autoAdjustEnabled` - Auto-adjust "enabled" flag value.
        `autoAdjustTimeout` - Auto-adjust timeout value in milliseconds.

  - ### Method Detail

    - #### isAutoAdjustEnabled

          public boolean isAutoAdjustEnabled()

      Auto-adjust "enabled" flag value.

    - #### autoAdjustTimeout

          public long autoAdjustTimeout()

      Auto-adjust timeout value in milliseconds.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021